## org.h2.store
Class LobStorageBackend.CountingReaderInputStream

    java.lang.Object
      java.io.InputStream
          org.h2.store.LobStorageBackend.CountingReaderInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  LobStorageBackend

    public static class LobStorageBackend.CountingReaderInputStream

extends java.io.InputStream

An input stream that reads the data from a reader.

Method Summary
`void` `close()`
`long` `getLength()` The number of characters read so far (but there might still be some bytes in the buffer).
`int` `read()`
`int` `read(byte[] buff, int offset, int len)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### read

    public int read(byte[] buff,
                    int offset,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### getLength

    public long getLength()

  The number of characters read so far (but there might still be some bytes in the buffer).

  Returns:
    the number of characters

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`